#ifndef FGGL_ECS2_ECS_H
#define FGGL_ECS2_ECS_H

#include "flecs.h"

namespace fggl::ecs2 {
	namespace impl = flecs;
	using Entity = flecs::entity;

	class World {
		public:
			World();
			~World() = default;

			Entity prefab(const char* name);

			Entity create();
			Entity create(const Entity prefab);

			Entity create(const char* name);
			Entity create(const char* name, const Entity prefab);

			inline bool tick(float dt) {
				return m_ecs.progress(dt);
			}

			template<typename T>
			void import() {
				m_ecs.import<T>();
			}

			// ecs escape hatch
			impl::world& ecs() {
				return m_ecs;
			}

		private:
			impl::world m_ecs;
	};

};

#endif
