#ifndef FGGL_GFX_RENDERER_H
#define FGGL_GFX_RENDERER_H

#include <vector>

#include <fggl/data/model.hpp>
#include <fggl/gfx/ogl.hpp>

#include <fggl/gfx/ecs.hpp>

namespace fggl::gfx {

	class GlMeshRenderer {
		public:
			using token_t = fggl::components::GfxToken;

			token_t upload(fggl::data::Mesh& mesh);

			// are VAO safe across opengl contexts? :S
			//void render(const Window& window, const ecs::ECS& ecs, const ecs::entity_t camera, float dt);

			float total;
	};

	// specialisation hooks
	using Graphics = GlGraphics;
	using MeshRenderer = GlMeshRenderer;
	using MeshToken = fggl::components::GfxToken;

};

#endif
